kr.co.hanwha.hifive.util

## Class HFCryptoUtil

- java.lang.Object
- - kr.co.hanwha.hifive.util.HFCryptoUtil

-     public class HFCryptoUtil
      extends java.lang.Object

  Created by sanghoonkwon on 2018. 1. 11..

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HFCryptoUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getEncAuthcodeSHA256(java.lang.String login_id, java.lang.String authcode)`
    `static java.lang.String` | `getSHA256EncryptionData(java.lang.String data)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HFCryptoUtil

          public HFCryptoUtil()

  - ### Method Detail

    - #### getSHA256EncryptionData

          public static java.lang.String getSHA256EncryptionData(java.lang.String data)

    - #### getEncAuthcodeSHA256

          public static java.lang.String getEncAuthcodeSHA256(@NonNull
                                                              java.lang.String login_id,
                                                              @NonNull
                                                              java.lang.String authcode)